# WithdrawalCompleted()

### event WithdrawalCompleted()

This event is emitted when a withdrawal is completed.&#x20;

```javascript
event WithdrawalCompleted(
        bytes32 indexed contextId,
        Token indexed pool,
        address indexed provider,
        uint256 requestId,
        uint256 poolTokenAmount,
        uint256 reserveTokenAmount,
        uint32 timeElapsed
);
```

| Parameter Name     | Type    | Description                                                                               |
| ------------------ | ------- | ----------------------------------------------------------------------------------------- |
| contextId          | bytes32 | Unique identifier for the specific transaction (can be used for grouping multiple events) |
| pool               | Token   | The address of the token that was withdrawn                                               |
| provider           | address | The address that withdrew                                                                 |
| requestId          | uint256 | The unique ID assigned to the withdrawal                                                  |
| poolTokenAmount    | unit256 | The number of Bancor pool tokens (bnTokens) that were burned by the withdrawal            |
| reserveTokenAmount | unit256 | The number of tokens withdrawn                                                            |
| timeElapsed        | uint32  | The amount of time since the withdrawal was initiated                                     |

### Uses

This event can be used to:

* Monitor withdrawals

### Triggered By

This event is triggered by the following functions:

* withdraw()


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bancor.network/developer-guides/data-and-events/liquidity-data/withdrawalcompleted.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
